## Request Batch **post** `/assets/download` Request a link to batch download assets (batch limited to 1000 assets) ### Body Parameters - `options: object { fileNameTemplate, flat }` - `fileNameTemplate: string` A file naming convention as a string with the following available parameters: (seed used to generate the asset) (index of the asset in the inference) (prompt of the inference) (prompt of the generator) Example: "---" - `flat: optional boolean` Flag to prevent grouping assets in directories and store them flat - `query: object { assetIds, inferenceIds, modelIds }` - `assetIds: array of string` Every individual assets specified will be included in the archive - `inferenceIds: array of string` All assets issued from the provided inference ids will be included in the archive - `modelIds: array of string` All assets issued from the provided model ids will be included in the archive ### Returns - `jobId: string` The job id associated with the download request ### Example ```http curl https://api.cloud.scenario.com/v1/assets/download \ -H 'Content-Type: application/json' \ -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \ -d '{ "options": { "fileNameTemplate": "fileNameTemplate" }, "query": { "assetIds": [ "string" ], "inferenceIds": [ "string" ], "modelIds": [ "string" ] } }' ``` #### Response ```json { "jobId": "jobId" } ```